%bcond_with with_doc

Summary:    XenAPI library for OpenStack projects
Name:       python-os-xenapi
Version:    0.3.4
Release:    4%{?dist}
License:    Apache-2.0
URL:        http://launchpad.net/os-xenapi/
Source0:    http://tarballs.openstack.org/os-xenapi/os-xenapi-%{version}.tar.gz

BuildArch:  noarch

%package -n python3-os-xenapi
Summary:    XenAPI client library for OpenStack projects

BuildRequires:  python3-devel python3-setuptools python3-pip
BuildRequires:  python3-pbr >= 2.0.0 python3-mock python3-babel python3-paramiko
BuildRequires:  python3-oslo-concurrency python3-oslo-i18n python3-oslo-log
BuildRequires:  python3-oslotest python3-os-testr python3-stestr
BuildRequires:  python3-testrepository python3-testscenarios python3-testtools
BuildRequires:  python3-eventlet >= 0.18.2
Requires:   python3-eventlet >= 0.18.2 python3-paramiko
Requires:   python3-oslo-concurrency >= 3.26.0 python3-oslo-log >= 3.36.0
Requires:   python3-oslo-utils >= 3.33.0 python3-oslo-i18n >= 3.15.3
Requires:   python3-six >= 1.10.0 python3-pbr >= 2.0.0 python3-babel

%description
This package provides a common library for OpenStack projects wishing to interact with 
XenAPI-based Hypervisors such as Citrix's XenServer.

%description -n python3-os-xenapi
This package provides a common library for OpenStack projects wishing to interact with 
XenAPI-based Hypervisors such as Citrix's XenServer.

%package -n python3-os-xenapi-tests
Summary:    Tests for XenAPI library for OpenStack projects
Requires:   python3-os-xenapi = %{version}-%{release}
Requires:   python3-oslotest python3-os-testr python3-stestr
Requires:   python3-testrepository python3-testscenarios python3-testtools

%description -n python3-os-xenapi-tests
This package provides a common library for OpenStack projects wishing to interact with 
XenAPI-based Hypervisors such as Citrix's XenServer.


%if 0%{?with_doc}
%package -n python-os-xenapi-doc
Summary:    Documentation for XenAPI library for OpenStack projects

BuildRequires: python3-sphinx
BuildRequires: python3-oslo-sphinx

%description -n python-os-xenapi-doc
This package contains the documentation.
%endif


%prep
%autosetup -n os-xenapi-%{version} -p1

rm -rf *requirements.txt

%build
%{py3_build}

%if 0%{?with_doc}
%{__python3} setup.py build_sphinx
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{py3_install}
rm -rf %{buildroot}%{python3_sitelib}/os_xenapi/dom0
ln -s xenapi_bootstrap %{buildroot}%{_bindir}/xenapi_bootstrap-3


%check
export PYTHON=python3
stestr run --color --slowest --exclude-list exclusion_py3.txt --test-path os_xenapi/tests/

%files -n python3-os-xenapi
%license LICENSE
%{_bindir}/xenapi_bootstrap
%{_bindir}/xenapi_bootstrap-3
%{python3_sitelib}/os_xenapi
%{python3_sitelib}/os_xenapi-*.egg-info
%exclude /%{python3_sitelib}/os_xenapi/tests

%files -n python3-os-xenapi-tests
%{python3_sitelib}/os_xenapi/tests

%if 0%{?with_doc}
%files -n python-os-xenapi-doc
%license LICENSE
%doc doc/build/html README.rst
%endif


%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.4-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.4-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.4-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 13 2023 Wang Guodong <gordonwwang@tencent.com> - 0.3.4-1
- initial build
